Bug 42666 - gendiff bug
Summary: gendiff bug
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-29 09:51 UTC by Tim Waugh
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-29 09:51:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2001-05-29 09:51:48 UTC
When patch creates a backup of a file that doesn't exist, it makes it 
unreadable (this is documented behaviour).

Gendiff ought to check that $f is readable first, like:

if [ -r "$f" ]
then
  diff ${U} /dev/null "${f%$2}"
else
  diff ${U} "${f}" "${f$2}"
fi

(Mandrake's approach is to change patch's behaviour, but I think that 
really gendiff should be fixed instead.)

Comment 1 Jeff Johnson 2002-07-13 19:58:15 UTC
Fixed (finally) in CVS, should be in rpm-4.1-0.48


Note You need to log in before you can comment on or make changes to this bug.